# extracted from PDB 8rdf
# [3)-β-D-ribosyl-(1→1)-D-ribitol-5-P-(O→]n
# poly-3-β-D-ribose-(1,1)-D-ribitol-5-phosphate 
# polyribosyl ribitol phosphate (PRP)

#-----PyMol Header------------------------------- 
reinitialize
# set the background color to white
bg_color white
# make the background transparent for ray trace 
set ray_opaque_background, 0
# set the ray trace mode
# normal color
set ray_trace_mode, 0
# normal color + black outline
# set ray_trace_mode,  1
# black outline only
#set ray_trace_mode,  2
# turn off shadows during ray trace
set ray_shadows, 0
# set the mouse mode for laptop.
config_mouse one_button
# get rid of double bonds and skinny bonds to H
set stick_h_scale, 1
set valence, 0
# fror high quality surfaces set this to 3 (very slow)
set surface_quality, 1
# use these commands to control the rainbow
# util.cbc(selection='(all)',first_color=7,quiet=1,legacy=0,_self=cmd)
# spectrum count, wheat palegreen lightblue paleyellow lightpink lightorange salmon palegreen lightblue paleyellow lightpink lightorange wheat palegreen lightblue paleyellow lightpink lightorange salmon palegreen lightblue paleyellow lightpink lightorange, obj and resi 1-522
# set cartoon_cylindrical_helices,1
# create protein, polymer.protein
# create RNA, polymer.nucleic
#-----End PyMol Header------------------------------- 

load ribitol_ribose_phosphate_v19.pdb, v19
color palecyan
color paleyellow,  name P or name O*P or name O3'
show surface

set_view (\
     0.757668614,    0.283701986,   -0.587751389,\
     0.652579904,   -0.317164242,    0.688146353,\
     0.008814318,   -0.904941618,   -0.425443381,\
     0.000000000,    0.000000000, -159.577453613,\
   -19.444448471,    1.474859238,  -28.548357010,\
   131.859069824,  187.295822144,  -20.000000000 )

ray 2000,2000
save prp.png
